#!/bin/sh
echo 'name: snap-core
version: 0.7.0.1
id: snap-core-0.7.0.1-08bb4223eb56e09c03dffc185f780ee4

license: BSD3
copyright:
maintainer: snap@snapframework.com
stability:
homepage: http://snapframework.com/
package-url:
description: Snap is a simple and fast web development framework and server written in
             Haskell. For more information or to download the latest version, you can
             visit the Snap project website at <http://snapframework.com/>.
             .
             This library contains the core definitions and types for the Snap framework,
             including:
             .
             1. Primitive types and functions for HTTP (requests, responses, cookies,
             post/query parameters, etc)
             .
             2. Type aliases and helper functions for Iteratee I/O
             .
             3. A monad for programming web handlers called \"Snap\", inspired by
             happstack'\''s (<http://happstack.com/index.html>), which allows:
             .
             * Stateful access to the HTTP request and response objects
             .
             * Monadic failure (i.e. MonadPlus/Alternative instances) for declining
             to handle requests and chaining handlers together
             .
             * Early termination of the computation if you know early what you want
             to return and want to prevent further monadic processing
             .
             /Quick start/: The '\''Snap'\'' monad and HTTP definitions are in "Snap.Core",
             some iteratee utilities are in "Snap.Iteratee".
             .
             Higher-level facilities for building web applications (like user/session
             management, component interfaces, data modeling, etc.) are planned but not
             yet implemented, so this release will mostly be of interest for those who:
             .
             * need a fast and minimal HTTP API at roughly the same level of abstraction
             as Java servlets, or
             .
             * are interested in contributing to the Snap Framework project.
category: Web, Snap
author: James Sanders, Shu-yu Guo, Gregory Collins, Doug Beardsley
exposed: True
exposed-modules: Snap.Core Snap.Types Snap.Iteratee
                 Snap.Internal.Debug Snap.Internal.Http.Types
                 Snap.Internal.Iteratee.Debug Snap.Internal.Parsing Snap.Test
                 Snap.Types.Headers Snap.Util.FileServe Snap.Util.FileUploads
                 Snap.Util.GZip Snap.Util.Readable
hidden-modules: Snap.Internal.Instances
                Snap.Internal.Iteratee.BoyerMooreHorspool
                Snap.Internal.Parsing.FastSet Snap.Internal.Routing
                Snap.Internal.Types Snap.Internal.Test.RequestBuilder
                Snap.Internal.Test.Assertions
import-dirs: /usr/local/lib/ghc-7.0.4/cabal/snap-core-0.7.0.1
library-dirs: /usr/local/lib/ghc-7.0.4/cabal/snap-core-0.7.0.1
              /usr/local/lib
hs-libraries: HSsnap-core-0.7.0.1
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: HUnit-1.2.4.2-92a52b1878614f11fee0498aa631d162
         MonadCatchIO-transformers-0.2.2.3-33666fea22e0d96eb9e9b34fdb271be6
         attoparsec-0.10.1.0-d48602bcab8a927c27afa06cc0583921
         attoparsec-enumerator-0.3-034c77a22365cdb87c951eede980060d
         base-4.3.1.0-c683e1c476645dcbab1b168f8e5a9aeb
         base16-bytestring-0.1.1.4-70e286b549b3d7f59f7fc8bc58acf833
         blaze-builder-0.3.1.0-6a36510708b3ea2d7409287ec7d56f4c
         blaze-builder-enumerator-0.2.0.3-45b096ef5fbde5d72d61ba40858eede5
         bytestring-0.9.1.10-94a0a1c920aee21a485bdf21fd51b2be
         bytestring-nums-0.3.5-03077f85685afecbef7dab8ef7e6d3be
         case-insensitive-0.4.0.1-828ce20ecf9a85dc5639097539c7ba9b
         containers-0.4.0.0-8781485edb2ac0db733a9f9c72e27945
         deepseq-1.1.0.2-677f443f43caba0d312ab80199d4a233
         directory-1.1.0.0-689c0feb497f60ef9b6c9a128fc1997e
         dlist-0.5-b61cdbf07dfc72a8eed9080438e6dda5
         enumerator-0.4.18-c00de8fe8140ebfbb8bd3fe05ae490f1
         filepath-1.2.0.0-b273467b63dd15270d77af61bc610112
         mtl-2.0.1.0-91f62d81c946aa60137dcc008e554a3a
         mwc-random-0.10.0.1-b96f144235aa8d679686d486b2037549
         old-locale-1.0.0.2-cc522edd16b73a70b897598c5f5d20c7
         old-time-1.0.0.6-64e7d46ef71d3ea7f6d3a651bbb2bcca
         regex-posix-0.95.1-d6ce1a70229679d168844ebcf48c6140
         text-0.11.1.5-b4f492f688b9a01c2b4d3a9904e832bc
         time-1.2.0.3-4f1bed38bdf37d398ba8f4311cbdac4a
         transformers-0.2.2.0-7341f4d82874561a0431f4b264319cf8
         unix-compat-0.2.2.1-521151d751359cdcf6919b197687da6b
         unordered-containers-0.1.4.6-62035370633ff5fdd6ab47b62ed9ec07
         vector-0.9.1-86d51bed78dc5d006e4d1f3d9ea44e66
         zlib-enum-0.2.1-8462ddb34db53c84ddc3fea79a364a1b
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.4/cabal/snap-core-0.7.0.1/html/snap-core.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.4/cabal/snap-core-0.7.0.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
